---
title: Privacy Policy
url: /privacy/
---

The privacy policy specifies how data collected on this website is used. Thank you for visiting our website and your interest in our services and products. As the protection of your personal data is an important concern for us, we will explain below what information we collect during your visit to our website, as they are processed and whether or how these may be used.

## PERSONAL DATA

Personal information is data about personal or material circumstances of an identified or identifiable natural person. This includes information such as your first and last name, your postal or residential address, telephone numbers and date of birth. Information that can not be directly related to your real identity – such as your favorite websites or the number of users of a page – are not considered as personal data.

## COLLECTION AND PROCESSING OF PERSONAL DATA

As the operator and creator of the website, we do not store personal data itself automatically. If you go to our website, the provider – where the web server is hosted – may temporarily store data for the purpose of system security such as the connection of the computer, the web pages you visit, the date and duration of the visit, data about the used browser software and operating system and the web page from which you visit us. In addition to that, personal information such as your name, address, phone number or e-mail will only be stored, if you have provided this information voluntarily, eg. as part of a registration, a survey, a contest, to carry out an order or contract or an information request.

## USE AND DISCLOSURE OF PERSONAL DATA

Personal data you provided may be used solely for the purpose of technical website administration and to fulfill your wishes and requirements, thus primarily to processing the order with you or to respond to your request. Only if you have previously given your consent or – if stipulated by legal regulations – you entered no objection, we use this data for product surveys and marketing purposes. We don’t share, sell or transfer your personal data to third parties, unless this is necessary for the purpose of the contract or unless you have explicitly consented. For example it may be necessary, that in case of an product order we share your address and order with our suppliers.

## USE OF WEB ANALYSIS SOFTWARE

To improve the structure and the data we offer on our website, we might use open source or proprietary web analysis software. Our evaluations will be based on summary or averaged information amalgamated for the large numbers of people visiting the vebsite. The data provided by won’t be matched with any individual’s data from other sources.

Data collected might include IP, time and duration of the visit, what pages are visited, used browser and add-ons/plugins, search-engines and referrer. While statistic tools might use a “cookie” to distinguish between individual visitors, the collected data doesn’t allow to identify individuals.

## INFORMATION USED DURING AUTHENTICATION

We use the following information for authentication with GitHub / Bitbucket / Azure DevOps.

### GitHub
* ID
* Login
* Name
* Email
* List of organizations the user is member of

For more information:
* https://developer.github.com/v3/users/#get-the-authenticated-user
* https://developer.github.com/v3/users/emails/#list-email-addresses-for-a-user
* https://developer.github.com/v3/orgs/#list-your-organizations

### Bitbucket
* UUID
* Username
* Display name
* Email
* Is email defined as primary

For more information:
* https://developer.atlassian.com/bitbucket/api/2/reference/resource/user
* https://developer.atlassian.com/bitbucket/api/2/reference/resource/user/emails

### Azure DevOps
* Tenant ID
* Object ID
* Display name
* User Principal Name
* Email

For more information:
* https://docs.microsoft.com/en-us/graph/api/user-get?view=graph-rest-1.0

## SECURITY

We take all the necessary technical and organisational security measures to protect your personal data from loss and misuse. Your data is stored in a secure operating environment that is not accessible to the public. If you communicate with us via e-mail, please note that the confidentiality of the information is not guaranteed. The contents of e-mails can be intercepted by third parties. In case of doubt we therefore recommend to send confidential information only by snail mail.

## RIGHT OF ACCESS TO PERSONAL DATA

Upon written request you will be informed by us what information we stored about you (such as name or address).

## CONTACT

If you have questions regarding the processing of personal data or in case of requests for information, suggestions or complaints, please [contact us](/#sonarcloud#/about/contact) directly.
